function [prob_val] = prob_computation_failure(Prob_failure, prob_path)
prr=1;
for i=1:size(prob_path,2),
    idx = prob_path(i);
    prr=prr*((1-idx)*(1-Prob_failure)+idx*Prob_failure);
end
prob_val=prr;
end